"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var base_reader_1 = require('./base.reader');
var aim_parser_1 = require('../utils/aim-parser');
var models_1 = require('../models');
var BaseGtinReader = (function (_super) {
    __extends(BaseGtinReader, _super);
    function BaseGtinReader(symbology, validationExpression, _length, readerConfig) {
        _super.call(this, symbology, validationExpression, readerConfig);
        this._length = _length;
    }
    BaseGtinReader.prototype.checkDigit = function (value) {
        return parseInt(value.substring(value.length - 1));
    };
    BaseGtinReader.prototype.parseValues = function (value) {
        return aim_parser_1.AimParser.parseAimCode(this.symbology, value);
    };
    BaseGtinReader.prototype.decode = function (value) {
        var result = new models_1.BarcodeValue(this.symbology, value);
        try {
            this.tryValidate(value);
            result.values = this.parseValues(value);
            result.checkDigit = this.checkDigit(value);
        }
        catch (ex) {
            result.success = false;
            result.errorMessage = ex;
        }
        return result;
    };
    return BaseGtinReader;
}(base_reader_1.BaseReader));
exports.BaseGtinReader = BaseGtinReader;
//# sourceMappingURL=base-gtin.reader.js.map