import { Code39Reader } from './code-39.reader';
import { Gtin8Reader }  from './gtin-8.reader';
import { Gtin12Reader } from './gtin-12.reader';
import { Gtin13Reader } from './gtin-13.reader';
import { Gtin14Reader } from './gtin-14.reader';
import { GS1Reader }    from './gs-1.reader';
import { Itf14Reader }  from './itf-14.reader';

export {
	Code39Reader,
	Gtin8Reader,
	Gtin12Reader,
	Gtin13Reader,
	Gtin14Reader,
	Itf14Reader,
	GS1Reader
}

export const READERS = [
	Code39Reader,
	Gtin8Reader,
	Gtin12Reader,
	Gtin13Reader,
	Gtin14Reader,
	Itf14Reader,
	GS1Reader
];

export const READER_TYPES = {
	'code_39': Code39Reader,
	'gtin_8': Gtin8Reader,
	'gtin_12': Gtin12Reader,
	'gtin_13': Gtin13Reader,
	'gtin_14': Gtin14Reader,
	'itf_14': Itf14Reader,
	'gs1_128': GS1Reader
};