import { expect } from 'chai';
import { AimParser } from '../../utils/aim-parser';
import { AIM_CODES } from '../../config/aim-codes';
describe('AimParser', () => {

	let value = '123456';

	describe('parseAimCode', () => {

		it('should strip AIM Code from gtin_8', () => {
			expect(AimParser.parseAimCode('gtin_8', AIM_CODES.GTIN + value)).to.equal(value);
		});

		it('should strip AIM Code from gtin_12', () => {
			expect(AimParser.parseAimCode('gtin_12', AIM_CODES.GTIN + value)).to.equal(value);
		});

		it('should strip AIM Code from gtin_13', () => {
			expect(AimParser.parseAimCode('gtin_13', AIM_CODES.GTIN + value)).to.equal(value);
		});

		it('should strip AIM Code from gtin_14', () => {
			expect(AimParser.parseAimCode('gtin_14', AIM_CODES.GTIN + value)).to.equal(value);
		});

		it('should strip AIM Code from GS1', () => {
			expect(AimParser.parseAimCode('gs1_128', AIM_CODES.GS1 + value)).to.equal(value);
		});

		it('should strip AIM Code from CODE_39', () => {
			expect(AimParser.parseAimCode('code_39', AIM_CODES.CODE39 + value)).to.equal(value);
		});

	});
});